import type { Event } from "../event.js";
import type { RepoCommentAdded } from "./comment_added.js";
import type { RepoCommentDeleted } from "./comment_deleted.js";
import type { RepoCommentEdited } from "./comment_edited.js";
import type { RepoForked } from "./forked.js";
import type { RepoModified } from "./modified.js";
import type { RepoRefsChanged } from "./refs_changed.js";
import type { RepoSecretDetected } from "./secret_detected.js";
import type { MirrorRepoSynchronized } from "./synchronized.js";
/** You can create webhooks for events that occur in a repository. */
export type RepoEvent = MirrorRepoSynchronized | RepoCommentAdded | RepoCommentDeleted | RepoCommentEdited | RepoForked | RepoModified | RepoRefsChanged | RepoSecretDetected;
export type RepoEventKey = RepoEvent["eventKey"];
export declare function isRepoEvent(event: Event): event is RepoEvent;
export declare function isRepoEventKey(key: unknown): key is RepoEventKey;
export declare const repoEventKeys: {
    readonly "mirror:repo_synchronized": "mirror:repo_synchronized";
    readonly "repo:comment:added": "repo:comment:added";
    readonly "repo:comment:deleted": "repo:comment:deleted";
    readonly "repo:comment:edited": "repo:comment:edited";
    readonly "repo:forked": "repo:forked";
    readonly "repo:modified": "repo:modified";
    readonly "repo:refs_changed": "repo:refs_changed";
    readonly "repo:secret_detected": "repo:secret_detected";
};
//# sourceMappingURL=event.d.ts.map